The Cache: Technology Expert's Forum
 
*
Welcome, Guest. Please login or register. September 18, 2019, 07:44:11 PM

Login with username, password and session length


Pages: [1]
  Print  
Author Topic: Fedora 8 Compile issue..  (Read 2420 times)
fibonacci618
Rookie
**
Offline Offline

Posts: 10


View Profile WWW
« on: February 04, 2008, 08:27:02 AM »

Thanks everyone 4 the help,

i have another fedora 8 issue:

Code:
[root@localhost xvidcap-1.1.6]# ./compile
bash: ./compile: No such file or directory
[root@localhost xvidcap-1.1.6]# make
bash: make: command not found
[root@localhost xvidcap-1.1.6]# make install
bash: make: command not found
[root@localhost xvidcap-1.1.6]# ls
aclocal.m4    configure     INSTALL              missing        TODO.tasks
AUTHORS       configure.in  install-sh           mkinstalldirs  xvidcap.desktop
autogen.sh    COPYING       intltool-extract.in  NEWS           xvidcap.png
ChangeLog     debian        intltool-merge.in    po
config.guess  depcomp       intltool-update.in   ppm2mpeg.sh
config.h.in   doc           Makefile.am          README
config.sub    ffmpeg        Makefile.in          src
[root@localhost xvidcap-1.1.6]# ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... no
checking whether to enable maintainer-specific portions of Makefiles... no
checking for style of include used by make... none
checking for gcc... no
checking for cc... no
checking for cl.exe... no
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details.
[root@localhost xvidcap-1.1.6]#

?? i am more than brand new to unix and
am loving to learn thank you
Logged

No links in signatures please
perkiset
Olde World Hacker
Administrator
Lifer
*****
Offline Offline

Posts: 10096



View Profile
« Reply #1 on: February 04, 2008, 08:59:26 AM »

You probably installed it without selecting "Developer Tools" on the install CD. FC does not install with the compilers et al by default (a stupid choice IMO) - so you don't have GCC or MAKE or anything that you need to build your package.

Simple fix, it's all on the install images. Install the developer tools, restart and you should be good to go.
Logged

It is now believed, that after having lived in one compound with 3 wives and never leaving the house for 5 years, Bin Laden called the U.S. Navy Seals himself.
thedarkness
Lifer
*****
Offline Offline

Posts: 585



View Profile
« Reply #2 on: February 04, 2008, 03:29:29 PM »

Perk is in all likelihood correct. As an alternative if you do "yum install gcc-c++" it will install most (if not all ) of what you need.

Cheers,
td
Logged

"I want to be the guy my dog thinks I am."
 - Unknown
Pages: [1]
  Print  
 
Jump to:  

Perkiset's Place Home   Best of The Cache   phpMyIDE: MySQL Stored Procedures, Functions & Triggers
Politics @ Perkiset's   Pinkhat's Perspective   
cache
mart
coder
programmers
ajax
php
javascript
Powered by MySQL Powered by PHP Powered by SMF 1.1.2 | SMF © 2006-2007, Simple Machines LLC
Seo4Smf v0.2 © Webmaster's Talks


Valid XHTML 1.0! Valid CSS!